Subject: [Jose-reg-review] Adding new algorithms

From: Dirkjan Ochtman <[email-masked]>
Date: Mon, 1 Feb 2016 14:19:29 +0100

Hi all,

I'm interested in getting a bunch of new algorithms into the JOSE IANA
registry. Is the process of doing so described anywhere? I looked at
this mailing list's archive, but it's still empty.

I would like to propose the following additions:

Chacha20 -- stream cipher, specified in RFC 7539
Poly1305-AES -- message-authentication code, specified in RFC 7539
Curve25519 and Curve448 -- for elliptic curve cryptography + ECDH,
specified in RFC 7748
Ed25519 -- public-key signature system, draft-irtf-cfrg-eddsa-02.txt is in RGLC

Finally, it might be interesting to add Blake2 and Argon2 algorithms, as well.

Cheers,

Dirkjan

---

From: Sean Turner <[email-masked]>
Date: Mon, 1 Feb 2016 12:01:51 -0500

The registration process is described in s7 of RFC 7518 (https://datatracker.ietf.org/doc/rfc7518/).  In a nutshell you need a specification, which doesn’t have to take the form of an internet-draft but often does, for the algorithms and you need to submit the registration template.

Also note that I also think that the JOSE WG has started specifying a few of these already:
https://datatracker.ietf.org/doc/draft-ietf-jose-cfrg-curves/

spt

> On Feb 01, 2016, at 08:19, Dirkjan Ochtman <[email-masked]> wrote:
> 
> Hi all,
> 
> _______________________________________________
> Jose-reg-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/jose-reg-review

---

From: "Jim Schaad" <[email-masked]>
Date: Mon, 1 Feb 2016 11:27:46 -0800

There is currently an efferent to deal with the new CFRG algorithms in the
JOSE working group.

There is not currently a draft for dealing with chacha20.  The simple
process is to write a draft and ask either JOSE or CURDLE to look at it.
Alternatively would be to write a draft, get an AD to sponsor it and then
ask for review by this group.

Jim

> -----Original Message-----
> From: Jose-reg-review [mailto:[email-masked]] On Behalf
Of
> Dirkjan Ochtman
> Sent: Monday, February 01, 2016 5:19 AM
> To: [email-masked]
> Subject: [Jose-reg-review] Adding new algorithms
> 
> Hi all,
> 
registry.
> Is the process of doing so described anywhere? I looked at this mailing
list's
> archive, but it's still empty.
> 
> Chacha20 -- stream cipher, specified in RFC 7539 Poly1305-AES -- message-
> authentication code, specified in RFC 7539
specified in
> RFC 7748